Page MenuHomePhabricator

Interface 'MediaWiki\EditPafe\IEditObject' not found
Closed, ResolvedPublicPRODUCTION ERROR

Description

Error

MediaWiki version: 1.36.0-wmf.13

message
Interface 'MediaWiki\EditPafe\IEditObject' not found

Impact

466 errors logged in the last 15 minutes.

Details

Request ID
3f3ef559-008d-4448-b0d7-b758857d752a
Request URL
https://commons.wikimedia.org/w/api.php
Stack Trace
exception.trace
#0 /srv/mediawiki/php-1.36.0-wmf.13/includes/EditPage.php(62): unknown()
#1 /srv/mediawiki/php-1.36.0-wmf.13/includes/AutoLoader.php(109): require()
#2 [internal function]: AutoLoader::autoload()
#3 /srv/mediawiki/php-1.36.0-wmf.13/includes/api/ApiEditPage.php(312): spl_autoload_call()
#4 /srv/mediawiki/php-1.36.0-wmf.13/includes/api/ApiMain.php(1566): ApiEditPage->execute()
#5 /srv/mediawiki/php-1.36.0-wmf.13/includes/api/ApiMain.php(546): ApiMain->executeAction()
#6 /srv/mediawiki/php-1.36.0-wmf.13/includes/api/ApiMain.php(517): ApiMain->executeActionWithErrorHandling()
#7 /srv/mediawiki/php-1.36.0-wmf.13/api.php(90): ApiMain->execute()
#8 /srv/mediawiki/php-1.36.0-wmf.13/api.php(45): wfApiMain()
#9 /srv/mediawiki/w/api.php(3): require()

Event Timeline

dancy created this task.Oct 20 2020, 5:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 20 2020, 5:31 PM
dancy triaged this task as Unbreak Now! priority.Oct 20 2020, 5:34 PM

@dancy: should parent task be added?

@dancy: should parent task be added?

Yes, thank you. Now done.

Note the typo in the interface name EditPafe. Grepped the sources for EditPafe - not found ofc. OPcache corruption?

dancy added a comment.Oct 20 2020, 5:45 PM

And the errors are only happening on mw2328

OPcache corruption?

+1

Mentioned in SAL (#wikimedia-operations) [2020-10-20T17:48:48Z] <effie> depooling mw2328 - T266052

dancy added a comment.Oct 20 2020, 6:28 PM

Another datapoint:

mw2252 is also logging a bunch of errors like this:
59b2eba1-6ec0-4101-ae62-1195df8c5d83] /w/api.php TypeError from line 395 of /srv/mediawiki/php-1.36.0-wmf.13/extensions/WikibaseCirrusSearch/src/Hooks.php: Return value of Wikibase\Search\Elastic\Hooks::getWBCSConfig() must be an instance of Vikibase\Search\Elastic\WikibaseSearchConfig, instance of Vikibase\Search\Elastic\WikibaseSearchConfig returned

Wikibase turned into Vikibase.

dancy lowered the priority of this task from Unbreak Now! to Low.Oct 20 2020, 6:33 PM
Tgr added a subscriber: Tgr.Oct 21 2020, 6:49 AM

Decrementing one character by one seems to be a common pattern in these kinds of errors. See T253673#6289649 and T221347.

dancy closed this task as Resolved.Oct 21 2020, 2:50 PM
dancy claimed this task.

Definitely opcache. Resolved by restarted php-fpm on the affected server.